<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Conversor de R$ - $ - €</title>

    <style>
        body {
            background-color: khaki;
            font-size: 24px;
            font-family: Arial, Helvetica, sans-serif;
        }

        .container {
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        #dolar,
        #euro {
            margin-left: 15px;
        }
    </style>

</head>

<body>
    <div class="container">
        <h1>Conversor</h1>

        <form>

            <!-- R$ - $ - € -->

            <p>
                <label for="real">R$: </label>
                <input type="text" name="real" id="real">
                <input type="button" value="Calcular" onclick="converterReal()">
            </p>

            <p>
                <label for="dolar">$: </label>
                <input type="text" name="dolar" id="dolar">
                <input type="button" value="Calcular" onclick="converterDolar()">
            </p>

            <p>
                <label for="euro">€: </label>
                <input type="text" name="euro" id="euro">
                <input type="button" value="Calcular" onclick="converterEuro()">
            </p>

        </form>

        <h2>By: Hílary Kamily Gurgel Benevides</h2>

    </div>

    <script type="text/javascript">

        function elements() {
            elementReal = document.getElementById("real");
            elementDolar = document.getElementById("dolar");
            elementEuro = document.getElementById("euro");

            real = elementReal.value;
            euro = elementEuro.value;
            dolar = elementDolar.value;
        }

        function converterReal() {
            elements();
            valorDolar = (real / 4.96).toFixed(2);
            valorEuro = (real / 5.22).toFixed(2);

            elementDolar.value = valorDolar;
            elementEuro.value = valorEuro;
        }

        function converterDolar() {
            elements();
            valorReal = (dolar * 4.96).toFixed(2);
            valorEuro = (dolar * 0.95).toFixed(2);

            elementReal.value = valorReal;
            elementEuro.value = valorEuro;
        }

        function converterEuro() {
            elements();
            valorReal = (euro * 5.22).toFixed(2);
            valorDolar = (euro / 0.95).toFixed(2);

            elementReal.value = valorReal;
            elementDolar.value = valorDolar;
        }

    </script>

</body>

</html>